
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>js的动态加载、缓存、更新以及复用（三） / 憋错料</title>

    <meta name="description" content="js的动态加载、缓存、更新以及复用（三） 总体思路 1.  建立一个js服务,该服务实现通用js文件的加载.依赖.缓存.更新以及复用. 2.  各个项目如果使用通用js,可(bi)以(xu)使用js服务实现加载. 3.  Js服务只提供通用的js,比如jQuery.my97.easyUI等(可根据实际情况设定具体的js文件). 4.  其他针对特点需求写的js文件,需要自己写代码加载.Js服务可以提供加载用函数.(正在考虑要不要使用sea.js) 5.  Js服务加载的js文件,不需要做任何修改.当然也不负责各个文件里的函数名称是否冲突">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">js的动态加载、缓存、更新以及复用（三）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><H3><STRONG>总体思路</STRONG></H3><br />
<P>1、&nbsp; 建立一个js服务，该服务实现通用js文件的加载、依赖、缓存、更新以及复用。</p>
<p>2、&nbsp; 各个项目如果使用通用js，可（bi）以（xu）使用js服务实现加载。</p>
<p>3、&nbsp; Js服务只提供通用的js，比如jQuery、my97、easyUI等（可根据实际情况设定具体的js文件）。</p>
<p>4、&nbsp; 其他针对特点需求写的js文件，需要自己写代码加载。Js服务可以提供加载用函数。（正在考虑要不要使用sea.js）</p>
<p>5、&nbsp; Js服务加载的js文件，不需要做任何修改。当然也不负责各个文件里的函数名称是否冲突。</p>
<p><P>　　Sea.js追求自然编程，代码要写的自然。很是巧合我也推崇自然编程，我写的框架就叫做“自然框架”。只是在加载js这块和sea.js的思路有点不同。</p>
<p>　　一个项目里需要的js文件可以分为三种：第三方通用js（比如jQuery、my97等）；自己公司写的通用js（比如我写的NatureUI）；自己对特定需求写的特定js。</p>
<p>　　我觉得对于通用的js，就不需要每次用的时候都去写一行代码进行加载，太麻烦了。比如jQuery，加载（自动处理）之后我直接$就可以用了，没必要在写一行加载用的代码。因为Js服务会把各种通用js文件一次性的加载到top页面，然后利用“复用”的方式，让其他页面可以直接使用。也就是说在子页里，不用去考虑jQuery有没有加载，加载完成了没，不用再令写一行加载的js，直接用就好了。</p>
<p>　　就像我们写C#代码，新建一个项目的时候，VS会把常用的dll引用进来；新建一个页面的时候，VS会把常用的命名空间using上，不需要我没再去操心了。我觉得这种方式比较简单，至于是否自然，那就是仁者见仁智者见智了。</p>
<p><H3><STRONG>加载流程</STRONG></H3><br />
<P>看图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzE3MTQ4LzIwMTQwNi8xMDE2NDk1MDQzNjIyMzMucG5n.jpg"></p>
<p><P>1、&nbsp; 在页面里使用&lt;script &gt;引用boot.js。这个主要是一个引导程序，用他来加载其他的js。</p>
<p>2、&nbsp; 然后看看是否有缓存信息。</p>
<p>3、&nbsp;<br />
如果有缓存信息，那么说明这是子页。调用适配函数，让子页可以访问top页里加载的js文件。然后看看子页里有没有jsReady函数，如果有则调用。</p>
<p>4、&nbsp;<br />
如果没有缓存信息，说明这是top页面，需要加载另一个js（bootLoad.js）。这个是真正干活的文件。这里放在配置信息和加载css、加载js的函数。然后开始各种加载。</p>
<p><P>　　基本流程就是这样，如果你看了第一篇的预告，会感觉这个流程图似乎不太一样。确实不一样，我又修改了一遍。感觉修改后流程更简洁、思路也更清晰了。下面用FAQ的方式来进行说明。估计看了之后会有不少疑问。</p>
<p><H3><STRONG>FAQ</STRONG></H3><br />
<P><STRONG>1、<br />
</STRONG><STRONG>为啥有一个boot.js</STRONG><STRONG>后又有一个bootLoad.js?</STRONG></p>
<p>　　原来只有一个的，分成两个是为了让boot.js尽可能的不需要修改。因为我无法保证boot.js是最新的。</p>
<p><STRONG>2、 </STRONG><STRONG>Top</STRONG><STRONG>页面是啥？</STRONG></p>
<p>　　Top页面就是最外面的页面，top页面里用iframe加载其他页面，叫做子页。</p>
<p><STRONG>3、 </STRONG><STRONG>子页是啥？</STRONG></p>
<p>　　在top页面里用iframe加载的页面。可以通过top.的方式来访问top页里的信息和函数。</p>
<p><P><STRONG>4、 </STRONG><STRONG>适配是啥意思？</STRONG></p>
<p>　　　　在子页里虽然可以访问top页里的函数，比如top.$。但是访问的时候要加上top.这个就比较麻烦了。所谓的适配，就是让程序员不用操心自己写的js是运行在top页里还是子页里，统统$就可以了。</p>
<p>　　　　对于第三方插件需要做一些适配，目前已经搞定了jQuery和my97，easyUI还没有搞定。</p>
<p>　　　　因为可能大家都没有想过在子页里使用top页里的函数吧，所以写插件的时候根本就没考虑。比如my97，在top页里弹出日期选择的div，由于子页和top有位置偏差，所以日期选择也偏出去了，没想到啥好办法，只好改my97<br />
的源码了。</p>
<p><STRONG>5、 </STRONG><STRONG>不就是加载js</STRONG><STRONG>吗，弄这么复杂干嘛？</STRONG></p>
<p>　　　　如果只有一两个js文件要加载，确实不需要这么复杂。但是如果有十多个甚至几十个js文件要加载呢？</p>
<p>　　　　如果自己要开发一套UI插件，那么在开发调试阶段，要加载未合并的js，这样便于调试和修改。开发的差不多了，在改成引用合并后的js文件。那么引用js的部分怎么处理呢？尤其是一边开发UI，一边开发项目的时候。</p>
<p><P><STRONG>6、 </STRONG><STRONG>怎么还有css</STRONG><STRONG>的事？</STRONG></p>
<p>　　Css也是要加载的，一般一个项目的各个页面用的css都是一样的。这里也顺便一起加载了。</p>
<p><STRONG>7、 </STRONG><STRONG>配置信息里都有啥？</STRONG></p>
<p>　　　　因为js服务在一个单独的站点里面，那么这个站点的网址是啥呢？192.168.0.55还是Resource.naturefw.com<br />
？这个地址就需要在配置信息里面说明，以便于引用。另外还有单点登录的网址，还有其他的一些信息。</p>
<p><P><STRONG>8、 </STRONG><STRONG>为啥要缓存？</STRONG></p>
<p>　　　　不想每个页面都去加载固定不变的东东，比如配置信息和通用函数。虽然浏览器在加载的时候会启用缓存，但是不太好控制。客户端也可以强制不用缓存。也许是我控制欲比较强吧，我想更好的控制。</p>
<p>　　　　另外用缓存，速度会更快一些，比较不用浏览器去做各种判断了。虽然判断的时间一般也挺快的。</p>
<p><P><STRONG>9、 </STRONG><STRONG>如何实现更新？</STRONG></p>
<p>　　　　用版本号，设定一个版本号，有更新了，改一下这个版本号就可以了。</p>
<p><STRONG>10、&nbsp; </STRONG><STRONG>看你写了好几次复用，到底是啥？</STRONG></p>
<p>　　　　就是让子页用top页里加载好的js。</p>
<p><STRONG>11、&nbsp; </STRONG><STRONG>如何避免各个文件里的函数名称冲突？</STRONG></p>
<p>　　　　我用的是命名空间的方式，C#写的比较多了，感觉命名空间挺好用的，就移植过来了。看了sea.js的介绍，里面也提到了命名空间的方式，是yahoo用过。Sea.js并不推荐，因为使用的时候要记住长长的命名空间。但是我觉得这个不算事呀。不就是长点吗，安装Resharper（R#）之后，点.也是可以出提示的。另外可以用“别名”，比如<br />
var form = Nature.Controls.Form; 这样就好了。</p>
<p><STRONG>12、&nbsp; </STRONG><STRONG>其他js</STRONG><STRONG>都是怎么下载的？</STRONG></p>
<p>　　　　做一个js文件路径的字典，json格式，弄个昵称最为key，域名 + 路径 +<br />
文件名作为value。按照依赖制定前后顺序，然后按照这个字典进行逐一加载就可以了。</p>
<p><STRONG>13、&nbsp; </STRONG><STRONG>为什么没有做延迟加载？</STRONG></p>
<p>　　　　我把共用的js文件都加载到了top页面里，子页想用的话，直接用好了，完全没有再次加载的过程。虽然一开始需要加载更多的js，但是一般可以忍受。另外登录OA，第一件事情就是输入用户名和密码，那么完全可以利用这个“空余”时间来实现其他js的加载。</p>
<p><STRONG>&nbsp;</STRONG></p>
<p>目前只想到这些，还有哪些疑问，欢迎大家提问。</p>
<p><P>ps：下集预告，就是看看运行效果了，可能写了这么多，大家可能还没有一个具体的概念，到底是啥样子的呀。下一篇会贴一些运行截图。</p>
<p><P><A href="http://www.bubuko.com/infodetail-213986.html" rel="external nofollow noreferrer">js的动态加载、缓存、更新以及复用（三）,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 20:58:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/width/" title="width">width</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>js的动态加载、缓存、更新以及复用（三）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4186aO3.html" rel="bookmark">js的动态加载、缓存、更新以及复用（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇发出来后得到了很多回复,在此首先感谢大家的热情捧场!有的推荐第三方框架,比如 In.js.requrieJS.sea.js.lab.js等.这个开阔了眼界,以前只知道sea.js,省去了自己搜索的麻烦.也用了点时间简单看了一下,因为每一个都是大块头,都有自己的理念,如果只是简单使用的话,那么谁便找一个就可以了,但是我习惯把原理弄清楚.因为我觉得虽然不知道原理也可以使用,但是知道了原理后,可以用的更好. 主要看的是sea.js,目前简单的理解是:一个加载js的机制 + 模块化编程(CMD规范			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35l6610.html" rel="bookmark">js的动态加载、缓存、更新以及复用（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用范围: OA.MIS.ERP等信息管理类的项目,暂时不考虑网站. 遇到的问题: 完成一个项目,往往需要引用很多js文件,比如jQuery.js.easyUI等.还有自己写的一些列js文件,那么这些文件如何方便的加载,如果文件有变化如何才能让客户端及时更新缓存?如果能够提高点运行效率,那就更好了. 目标: 1.  可以方便的引用js文件. 2.  尽量使用各种缓存,避免频繁从服务器读取文件. 3.  如果js文件有更新或者增加.减少几个减少js文件,需要客户端能够自动.立刻更新. 4.  Js			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wDGz14.html" rel="bookmark">js插件动态加载js、css解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近因为工作需要做了一个js自动导入的插件,一开始很天真的以为动态创建个script添加到head中就ok了,试了之后才发现了问题,就是如果同时引入了多个js文件,而且后一个文件中用到了前一个文件中的变量,那就会报错,靠~~悲催了,就是说js如果动态加载(非浏览器加载因为浏览器加载时同步加载的会等待前一个js加载完成后才进行下一个js加载,这样就不会出现问题)那加载的文件是异步进行的,难怪啊!然后在网上找了些资料说用ajax同步加载,然后我试了真可以,下面就是我的代码分享出来给大家,但是注意这样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lKY1bM.html" rel="bookmark">js实现动态加载脚本的方法实例汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js实现动态加载脚本的方法.分享给大家供大家参考,具体如下: 最近公司的前端地图产品需要做一下模块划分,希望用户用到哪一块的功能再加载哪一块的模块,这样可以提高用户体验. 所以到处查资料研究js动态脚本的加载,不过真让人伤心啊!,网上几乎都是同一篇文章,4种方法,讨厌其中拷贝别人成果的人,也不加个原文的链接.哎!关键是最后一种方法还有点错误.经过两天的研究查阅资料,在这里和大家分享一下. 首先我们需要一个被加载的js文件,我在一个固定文件夹下创建了一个package.js,打开后在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyQL1nM.html" rel="bookmark">js的动态加载、缓存、更新以及复用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用范围: OA.MIS.ERP等信息管理类的项目,暂时不考虑网站. 遇到的问题: 完成一个项目,往往需要引用很多js文件,比如jQuery.js.easyUI等.还有自己写的一些列js文件,那么这些文件如何方便的加载,如果文件有变化如何才能让客户端及时更新缓存?如果能够提高点运行效率,那就更好了. 目标: 1.  可以方便的引用js文件. 2.  尽量使用各种缓存,避免频繁从服务器读取文件. 3.  如果js文件有更新或者增加.减少几个减少js文件,需要客户端能够自动.立刻更新. 4.  Js			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMyeBVM.html" rel="bookmark">关于怎样用PHP及JS来动态加载html元素及加载的html代码绑定事件失效的解决方法！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先编写好的html代码放入php文件里面设置请求头格式为text/html 然后呢我将用jquery来操作 先定义一个用了盛放代码的容器 $(function(){}) =&gt; window.onload .sn-header-bg 是我用来盛放代码的容器 我的php文件名是header.php放在data目录下! 执行以上代码完成后一个页头就出来了! 加载完成后我在header里面绑定了两个函数,但是全部失效了,原因是没找到对应的dom元素, 根本原因是我没加载完成之前这两个函数就已经执行去寻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/My5NzpM.html" rel="bookmark">js中动态加载---append</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				$('#Order_information').append('&lt;div class=&quot;single_product&quot;&gt; &lt;div class=&quot;Cancel&quot;&gt; &lt;a href=&quot;javascript:void(0);&quot; onclick=&quot;continuePay('+orderno+','+useId+');&quot;&gt;继续支付&lt;/a&gt; &lt;a href=&quot;javascr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVPG7d3.html" rel="bookmark">cocos2d js 如何动态加载外部图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				官网没有具体例子,只有看api,研究成果如下 var that = this; var url = &quot;http://xxxxxx&quot;; cc.loader.loadImg(url, null, function(err,img){ var logo = new cc.Sprite(img); that.addChild(logo); logo.x = size.width / 2; logo.y = size.height / 2; });			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l76wNM.html" rel="bookmark">动态加载js css 插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 动态加载js,css在现在以及将来肯定是很重要的.目前来看前端代码编写的业务量已经远远超过后端编写的.随着对用户体验度逐渐增强,前端业务复杂,加载速度变得很慢很慢.为了解决这个问题,目前出现的两个前端模块加载器为require.js与sea.js,这两款模块加载器都不错.但是呢,有时候我仅仅需要的只是动态加载一个js,不需要把代码模块化,那我们只能自己手写一个加载函数. 简单的加载js /** * HTML动态加载js * @path {String} src地址必须带有后缀名.js *			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02ZEp0.html" rel="bookmark" class="title">信息系统项目管理师9月28日</a>
					<div>
						项目范围论文提纲: 范围计划编制 输入:章程.工作说明书.管理计划等 输出:项目范围管理计划 范围定义 输入:章程.初步范围说明书.项目范围管理计划等 输出:详细范围说明书.更新的项目范围管理计划 创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZwlbM.html" rel="bookmark" class="title">linux下proc里关于磁盘性能的参数</a>
					<div>
						我们在磁盘写操作持续繁忙的服务器上曾经碰到一个特殊的性能问题.每隔 30 秒,服务器就会遇到磁盘写活动高峰,导致请求处理延迟非常大(超过3秒).后来上网查了一下资料,通过调整内核参数,将写活动的高峰分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZRY73.html" rel="bookmark" class="title">最近公共祖先-------4&period;28（没整理完）</a>
					<div>
						最近公共祖先:在一个有根树中,结点u.v的最近公共祖先是满足是u,v的公共祖先并且深度尽可能大的结点. 1.倍增法 首先如果两个点的深度如果不同,将深度较大的点跳到与深度较小的点一样的深度,再同时向上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxmN70.html" rel="bookmark" class="title">线缆种类小结：BNC、RJ45和RJ48</a>
					<div>
						我们知道线缆是网络的基础,如果你不能很好地识别各线缆的用途,你也不会成为一名合格的工程师. BNC线缆就是我们闭路电视用到的铜轴电缆,在当今用在示波器上用于作为信号输入/输出探头,虽然外观上和传统的线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8P6j0.html" rel="bookmark" class="title">Reflow &amp;amp&semi; Repaint</a>
					<div>
						http://www.phpied.com/rendering-repaint-reflowrelayout-restyle/ http://segmentfault.com/a/1190000002 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRAX80.html" rel="bookmark" class="title">4790K风冷超频测试</a>
					<div>
						一.配置 CPU:4790K 主板: 华硕Z97-K 内存: 威刚普条DDR3-1600 8G 显卡: 微星R7850 TF 2GD5 电源: 安钛克VP500 散热器: 大霜塔 硬盘: 希捷 ST1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418OaP3.html" rel="bookmark" class="title">shell基础--变量的数值计算</a>
					<div>
						变量的数值计算 1.$((表达式)) (1).实验1 [[email protected]~_~ day4]# cat test.sh #!/bin/bash a=6 b=2 echo &quot;a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61ApJ4.html" rel="bookmark" class="title">python 定义函数 调用函数</a>
					<div>
						创建test.py文件 #coding=utf-8 #定义函数 def hello(): print &quot;hello world&quot; #调用函数 hello() 在cmd下面运行					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGv1j3.html" rel="bookmark" class="title">HTML5 中 div section article 的区别</a>
					<div>
						刚刚开始接触 HTML5 时,对它的标签很不适应,甚至一度有点反感.尤其是对 div.section.article 这几个标签,实在弄不清楚应该使用在什么场合下. div HTML Spec: Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVg6zM.html" rel="bookmark" class="title">在一起头寸地未来战士</a>
					<div>
						http://weheartit.com/retuou89/collections/58930965-2014-12-16 http://weheartit.com/qiaojihe19/collec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkyK73.html" rel="bookmark" class="title">基于模态对话框 学生管理系统</a>
					<div>
						前端: 1 &lt;!DOCTYPE html&gt; 2 &lt;html lang=&quot;en&quot;&gt; 3 &lt;head&gt; 4 &lt;meta harset=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkoWb4.html" rel="bookmark" class="title">checkbox的全选、反选、多选等操作（js）</a>
					<div>
						以下控件的name属性为DEPT_ID (案例中默认选中的checkbox,全选或者反选,对该控件无影响)//1.全选 function selectAllRight(){ $(&quot;input ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1erWM.html" rel="bookmark" class="title">正则表达式同时匹配中英文&lowbar;，还控制长度</a>
					<div>
						匹配中文:[\u4e00-\u9fa5] 英文字母:[a-zA-Z] 数字:[0-9] 匹配中文,英文字母和数字及_: ^[\u4e00-\u9fa5_a-zA-Z0-9]+$ 同时判断输入长度:[\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQq5wM.html" rel="bookmark" class="title">HTML编码和CSS编码会遇到的问</a>
					<div>
						http://codeguide.bootcss.com/#html-syntax  参考链接 属性顺序 HTML 属性应当按照以下给出的顺序依次排列,确保代码的易读性. class id, name ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvZk83.html" rel="bookmark" class="title">HDOJ4355-Party All the Time&lpar;三分&rpar;</a>
					<div>
						Problem Description In the Dark forest, there is a Fairy kingdom where all the spirits will go toget ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjYvw4.html" rel="bookmark" class="title">java中如何将OutputStream转换为InputStream</a>
					<div>
						在不需要文件生成的情况下,直接将输出流转换成输入流.可使用下面的三种方法: 如果你曾经使用java IO编程,你会很快碰到这种情况,某个类在OutputStream上创建数据而你需要将它发送给某个需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq1l63.html" rel="bookmark" class="title">SQL Server存储过程同时返回分页结果集和总数</a>
					<div>
						前言 好长时间没摸数据库了,周末在家写了个报表的存储过程,一时间对使用存储过程实现分页的同时并计算出记录总数不知道怎么更好的去实现.按照我们正常的业务逻辑,存储过程数据首先是分页,其次接受若干查询条件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5jbeM.html" rel="bookmark" class="title">（八）运算符</a>
					<div>
						数字加字符串会报错,那么我们可以自定义用于这种运算的符号. 逻辑运算符 真:不是nil且不是false 假:nil或者false 与运算&amp;&amp;: 真&amp;&amp;假=假 或运算|| ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjlBB4.html" rel="bookmark" class="title">结构体详解</a>
					<div>
						1 概述 C语言允许用户自己指定这样一种数据结构,它由不同类型的数据组合成一个整体,以便引用,这些组合在一个整体中的数据是互相联系的,这样的数据结构称为结构体,它相当于其它高级语言中记录. 声明一个结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wp2qj4.html" rel="bookmark" class="title">css中盒子宽高的auto</a>
					<div>
						CSS盒模型中,auto属性只适用于外margin和width,border和padding不适用.下面就来说说它的情况.这里所说的都是标准流盒子. 1.横向来说 (1)若设置width,magrin ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
